# Interface gmfDisplayQueryGridOptions

#### Hierarchy

- gmfDisplayQueryGridOptions

- Defined in src/options.js:744

#####
Index

### Properties

featuresStyle
maxRecenterZoom
mergeTabs
removeEmptyColumns
selectedFeatureStyle

## Properties

### featuresStyle

featuresStyle: StyleLike

A style object for all features from the result of the query.

- Defined in src/options.js:745

### maxRecenterZoom

maxRecenterZoom: number

Maximum zoom-level to use when zooming to selected features.

- Defined in src/options.js:748

### mergeTabs

mergeTabs: Object

Configuration to merge grids with the same attributes into a single grid.

- Defined in src/options.js:749

### removeEmptyColumns

removeEmptyColumns: boolean

Should empty columns be hidden? Default: `false`.

- Defined in src/options.js:747

### selectedFeatureStyle

selectedFeatureStyle: StyleLike

A style object for the currently selected features.

- Defined in src/options.js:746

Generated using TypeDoc